Name:           gnome-subtitles
Version:        0.9.1
Release:        1%{?dist}
Summary:        Subtitle editor for Gnome

Group:          Applications/Multimedia
#Files under src/External/NCharDet are MPLv1.1 or GPLv2+ or LGPLv2+
License:        GPLv2+ and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:            http://gnome-subtitles.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gnome-doc-utils
BuildRequires:  gnome-sharp-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtk-sharp2-devel
BuildRequires:  intltool
BuildRequires:  mono-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  scrollkeeper

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

# No mono available here.
ExcludeArch:    sparc64

#sublib is now merged with gnome-subtitles
Obsoletes:      sublib < 0.9-7
Obsoletes:      sublib-devel < 0.9-7

%description
Gnome Subtitles is a subtitle editor for the GNOME desktop. It supports the
most common text-based subtitle formats and allows for subtitle editing,
translation and synchronization.

%prep
%setup -q


%build
%configure --disable-schemas-install \
           --disable-scrollkeeper
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-subtitles.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnome-subtitles.schemas > /dev/null || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
update-desktop-database &> /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-subtitles.schemas > /dev/null || :
fi


%postun
scrollkeeper-update -q || :
update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/gnome-subtitles.schemas
%{_bindir}/gnome-subtitles
%{_libdir}/gnome-subtitles
%{_datadir}/applications/fedora-gnome-subtitles.desktop
%{_datadir}/gnome/help/gnome-subtitles
%{_mandir}/man1/gnome-subtitles.1*
%{_datadir}/omf/gnome-subtitles
%{_datadir}/pixmaps/gnome-subtitles.png



%changelog
* Sun Nov 01 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.9.1-1
- Updated to 0.9.1
- Dropped the SMP build patch
- Added desktop-database scriptlets
- Re-enabled parallel make
- Updated the License tag
- Added intltool to BuildRequires, removed explicit gettext

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.8-10
- ExcludeArch sparc64

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 29 2009 Xavier lamien <laxathom@fedoraproject.org> - 0.8-8
- Build arch ppc64.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8-6
- don't use smp_mflags

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8-5
- rebuild against new gnome-sharp

* Sat Jul  5 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8-4
- Another rebuild
- Patched SMP build failure

* Mon May 26 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8-3
- Rebuilt to fix broken deps

* Sun May 18 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8-2
- Added sublib-devel to BuildRequires

* Sat May 17 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8-1
- Updated to 0.8
- Dropped upstreamed patches
- Dropped SMP build, seems to cause problems
- Added missing %%doc
- Added wildcard to manpage install location

* Fri Mar 28 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.2-2
- Added patch fixing empty debuginfo issue
- Added ExcludeArch: ppc64
- Replaced make and rm invocations with macros

* Tue Jan 15 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.2-1
- Initial RPM release
